Devuan bug report logs - #826
kmod upgrade creates links from /usr/sbin to ../bin

Package: devuan-project; Maintainer for devuan-project is Devuan Developers <devuan-dev@lists.dyne.org>;

Affects: kmod, netcat-traditional, initramfs-tools-core, firmware-realtek, linux-headers-6.6.8-amd64, sed

Reported by: Arthur Marsh <arthur.marsh@internode.on.net>

Date: Fri, 5 Jan 2024 07:06:02 UTC

Severity: grave

Merged with 812, 813, 821, 823, 827, 828

Done: Mark Hindley <mark@hindley.org.uk>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#826; Package kmod. (Fri, 05 Jan 2024 07:06:02 GMT) (full text, mbox, link).


Acknowledgement sent to Arthur Marsh <arthur.marsh@internode.on.net>:
New bug report received and forwarded. Copy sent to devuan-dev@lists.dyne.org. (Fri, 05 Jan 2024 07:06:03 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: Arthur Marsh <arthur.marsh@internode.on.net>
To: Devuan Bug Tracking System <submit@bugs.devuan.org>
Subject: kmod upgrade creates links from /usr/sbin to ../bin
Date: Fri, 05 Jan 2024 17:32:50 +1030
Package: kmod
Version: 31-1
Severity: grave
Justification: renders package unusable

Dear Maintainer,

*** Reporter, please consider answering these questions, where appropriate ***

   * What led up to the situation?

[UPGRADE] kmod:amd64 30+20230601-2.1 -> 31-1
[UPGRADE] libkmod2:amd64 30+20230601-2.1 -> 31-1

   * What exactly did you do (or not do) that was effective (or
     ineffective)?

/usr/sbin# rm depmod insmod lsmod modinfo modprobe rmmod
then tried re-installing version 31-1 (ineffective)

then tried:

/usr/sbin# rm depmod insmod lsmod modinfo modprobe rmmod

and downgraded kmod and libkmod2:

Preparing to unpack .../kmod_30+20230601-2.1_amd64.deb ...
Unpacking kmod (30+20230601-2.1) over (31-1) ...
dpkg: warning: unable to delete old directory '/usr/lib/modprobe.d': Directory not empty
dpkg: warning: downgrading libkmod2:amd64 from 31-1 to 30+20230601-2.1
Preparing to unpack .../libkmod2_30+20230601-2.1_amd64.deb ...
Unpacking libkmod2:amd64 (30+20230601-2.1) over (31-1) ...
Setting up libkmod2:amd64 (30+20230601-2.1) ...
Setting up kmod (30+20230601-2.1) ...
Processing triggers for initramfs-tools (0.142) ...
update-initramfs: Generating /boot/initrd.img-6.7.0-rc8+
cp: not replacing '/var/tmp/mkinitramfs_COM0md/bin/cat'
cp: not replacing '/var/tmp/mkinitramfs_COM0md/bin/cpio'
cp: not replacing '/var/tmp/mkinitramfs_COM0md/bin/dd'
cp: not replacing '/var/tmp/mkinitramfs_COM0md/bin/dmesg'
cp: not replacing '/var/tmp/mkinitramfs_COM0md/bin/false'
cp: not replacing '/var/tmp/mkinitramfs_COM0md/bin/gunzip'
cp: not replacing '/var/tmp/mkinitramfs_COM0md/bin/kill'
cp: not replacing '/var/tmp/mkinitramfs_COM0md/bin/ln'
cp: not replacing '/var/tmp/mkinitramfs_COM0md/bin/ls'
cp: not replacing '/var/tmp/mkinitramfs_COM0md/bin/mkdir'
cp: not replacing '/var/tmp/mkinitramfs_COM0md/bin/mkfifo'
cp: not replacing '/var/tmp/mkinitramfs_COM0md/bin/mknod'
cp: not replacing '/var/tmp/mkinitramfs_COM0md/bin/mount'
cp: not replacing '/var/tmp/mkinitramfs_COM0md/bin/mv'
cp: not replacing '/var/tmp/mkinitramfs_COM0md/bin/nuke'
cp: not replacing '/var/tmp/mkinitramfs_COM0md/bin/readlink'
cp: not replacing '/var/tmp/mkinitramfs_COM0md/bin/resume'
cp: not replacing '/var/tmp/mkinitramfs_COM0md/bin/sh'
cp: not replacing '/var/tmp/mkinitramfs_COM0md/bin/sleep'
cp: not replacing '/var/tmp/mkinitramfs_COM0md/bin/sync'
cp: not replacing '/var/tmp/mkinitramfs_COM0md/bin/true'
cp: not replacing '/var/tmp/mkinitramfs_COM0md/bin/umount'
cp: not replacing '/var/tmp/mkinitramfs_COM0md/bin/uname'
Processing triggers for libc-bin (2.38-3) ...
Processing triggers for man-db (2.12.0-1) ...

which was effective

   * What was the outcome of this action?
   * What outcome did you expect instead?

*** End of the template - remove these template lines ***


-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux 6 (excalibur/ceres)
Release:	6
Codename:	excalibur ceres
Architecture: x86_64

Kernel: Linux 6.7.0-rc8+ (SMP w/4 CPU threads; PREEMPT)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8), LANGUAGE=en_GB
Shell: /bin/sh linked to /usr/bin/dash
Init: sysvinit (via /sbin/init)

Versions of packages kmod depends on:
ii  libc6     2.38-5
ii  libkmod2  30+20230601-2.1
ii  liblzma5  5.4.5-0.3
ii  libssl3   3.1.4-2
ii  libzstd1  1.5.5+dfsg2-2

kmod recommends no packages.

kmod suggests no packages.

-- no debconf information

Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#826; Package kmod. (Fri, 05 Jan 2024 07:46:16 GMT) (full text, mbox, link).


Acknowledgement sent to Arthur Marsh <arthur.marsh@internode.on.net>:
Extra info received and forwarded to list. Copy sent to devuan-dev@lists.dyne.org. (Fri, 05 Jan 2024 07:46:21 GMT) (full text, mbox, link).


Message #10 received at 826@bugs.devuan.org (full text, mbox, reply):

From: Arthur Marsh <arthur.marsh@internode.on.net>
To: Devuan Bug Tracking System <826@bugs.devuan.org>
Subject: Re: kmod upgrade creates links from /usr/sbin to ../bin
Date: Fri, 05 Jan 2024 18:13:27 +1030
Package: kmod
Version: 31-1
Followup-For: Bug #826

Dear Maintainer,

*** Reporter, please consider answering these questions, where appropriate ***

   * What led up to the situation?
   * What exactly did you do (or not do) that was effective (or
     ineffective)?

Alternative fix:

After experimenting, it seems to work if one upgrades to version (31-1), 
then create the following symbolic links:

# cd /sbin
am64:/sbin# ln -s /usr/sbin/depmod depmod
am64:/sbin# ln -s /usr/sbin/insmod insmod
am64:/sbin# ln -s /usr/sbin/modinfo modinfo
am64:/sbin# ln -s /usr/sbin/modprobe modprobe
am64:/sbin# ln -s /usr/sbin/rmmod rmmod

then re-installing kmod (31-1) so that update-initramfs is run successfully.

   * What was the outcome of this action?
   * What outcome did you expect instead?

*** End of the template - remove these template lines ***


-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux 6 (excalibur/ceres)
Release:	6
Codename:	excalibur ceres
Architecture: x86_64

Kernel: Linux 6.7.0-rc8+ (SMP w/4 CPU threads; PREEMPT)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8), LANGUAGE=en_GB
Shell: /bin/sh linked to /usr/bin/dash
Init: sysvinit (via /sbin/init)

Versions of packages kmod depends on:
ii  libc6     2.38-5
ii  libkmod2  31-1
ii  liblzma5  5.4.5-0.3
ii  libssl3   3.1.4-2
ii  libzstd1  1.5.5+dfsg2-2

kmod recommends no packages.

kmod suggests no packages.

-- no debconf information

Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#826; Package kmod. (Fri, 05 Jan 2024 12:48:02 GMT) (full text, mbox, link).


Acknowledgement sent to Lorenzo <plorenzo@disroot.org>:
Extra info received and forwarded to list. Copy sent to devuan-dev@lists.dyne.org. (Fri, 05 Jan 2024 12:48:02 GMT) (full text, mbox, link).


Message #15 received at 826@bugs.devuan.org (full text, mbox, reply):

From: Lorenzo <plorenzo@disroot.org>
To: Arthur Marsh <arthur.marsh@internode.on.net>
Cc: 826@bugs.devuan.org, devuan developers internal list <devuan-dev@lists.dyne.org>
Subject: Re: [devuan-dev] bug#826: kmod upgrade creates links from /usr/sbin to ../bin
Date: Fri, 5 Jan 2024 13:45:54 +0100
On Fri, 05 Jan 2024 18:13:27 +1030
Arthur Marsh <arthur.marsh@internode.on.net> wrote:

> Package: kmod
> Version: 31-1
> Followup-For: Bug #826
> 
> Dear Maintainer,
> 
> *** Reporter, please consider answering these questions, where
> appropriate ***
> 
>    * What led up to the situation?
>    * What exactly did you do (or not do) that was effective (or
>      ineffective)?
> 
> Alternative fix:
> 
> After experimenting, it seems to work if one upgrades to version
> (31-1), then create the following symbolic links:
> 
> # cd /sbin
> am64:/sbin# ln -s /usr/sbin/depmod depmod
> am64:/sbin# ln -s /usr/sbin/insmod insmod
> am64:/sbin# ln -s /usr/sbin/modinfo modinfo
> am64:/sbin# ln -s /usr/sbin/modprobe modprobe
> am64:/sbin# ln -s /usr/sbin/rmmod rmmod
> 
> then re-installing kmod (31-1) so that update-initramfs is run
> successfully.

Hi, please see
https://bugs.devuan.org/cgi/bugreport.cgi?bug=827
https://bugs.devuan.org/cgi/bugreport.cgi?bug=828

> 
>    * What was the outcome of this action?
>    * What outcome did you expect instead?
> 
> *** End of the template - remove these template lines ***
> 
> 
> -- System Information:
> Distributor ID:	Devuan
> Description:	Devuan GNU/Linux 6 (excalibur/ceres)
> Release:	6
> Codename:	excalibur ceres
> Architecture: x86_64
> 
> Kernel: Linux 6.7.0-rc8+ (SMP w/4 CPU threads; PREEMPT)
> Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8),
> LANGUAGE=en_GB Shell: /bin/sh linked to /usr/bin/dash
> Init: sysvinit (via /sbin/init)
> 
> Versions of packages kmod depends on:
> ii  libc6     2.38-5
> ii  libkmod2  31-1
> ii  liblzma5  5.4.5-0.3
> ii  libssl3   3.1.4-2
> ii  libzstd1  1.5.5+dfsg2-2
> 
> kmod recommends no packages.
> 
> kmod suggests no packages.
> 
> -- no debconf information
> _______________________________________________
> devuan-dev internal mailing list
> devuan-dev@lists.dyne.org
> https://mailinglists.dyne.org/cgi-bin/mailman/listinfo/devuan-dev


bug reassigned from package 'kmod' to 'devuan-project'. Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:54:02 GMT) (full text, mbox, link).


No longer marked as found in versions 31-1. Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:54:02 GMT) (full text, mbox, link).


Added indication that 826 affects firmware-realtek,initramfs-tools-core,netcat-traditional,linux-headers-6.6.8-amd64,sed Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:54:02 GMT) (full text, mbox, link).


Merged 812 813 821 823 826 827 Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:54:03 GMT) (full text, mbox, link).


Added indication that 826 affects kmod Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:54:03 GMT) (full text, mbox, link).


Removed indication that 826 affects sed, initramfs-tools-core, netcat-traditional, kmod, firmware-realtek, and linux-headers-6.6.8-amd64 Added indication that 826 affects firmware-realtek,linux-headers-6.6.8-amd64,kmod,sed,initramfs-tools-core,netcat-traditional Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:56:01 GMT) (full text, mbox, link).


Merged 812 813 821 823 826 827 828 Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:56:02 GMT) (full text, mbox, link).


Message #30 received at 812-done@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: 812-done@bugs.devuan.org
Subject: Re: bug#812: Devuan project: merged-usr
Date: Wed, 20 Mar 2024 12:06:27 +0000
Merged /usr is now enforced by base-files 13devuan4 and handled by debootstrap
1.0.134devuan2. Both of these versions are present in ceres and excalibur:

 base-files  | 13devuan4      | excalibur  | source, all
 base-files  | 13devuan4      | unstable   | source, all
 debootstrap | 1.0.134devuan2 | excalibur  | source, all
 debootstrap | 1.0.134devuan2 | unstable   | source, all

Golinux also posted an announcement[1] on the forum.

Therefore I am closing these reports as fixed.

Mark

[1]  https://dev1galaxy.org/viewtopic.php?id=6435      



Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Fri May 24 06:19:56 2024;